Page MenuHomePhabricator

Request creation of <Videowiki> VPS project
Closed, ResolvedPublic

Description

Project Name: Videowiki

Wikitech Usernames of requestors: videowiki123

Purpose: Hosting and operating Videowiki

Brief description: Videowiki is a free multi-media encyclopedia that anyone can edit. It is a proposed sister site which aims to visualize the sum of all human knowledge. please check this url for more info about the project.
https://meta.wikimedia.org/wiki/Wiki_Video

for this project to run, we will be needing to install nodejs, npm, and FFmpeg, redis, rabbitmq

licence for FFmpeg:
https://www.ffmpeg.org/legal.html

redis:
https://redis.io/topics/license

rabbitmq:
https://www.rabbitmq.com/mpl.html

Videowiki itself is released under GNU General Public License v3.0
https://www.gnu.org/licenses/gpl-3.0.en.html

the project to be installed can be found on this public repository
https://github.com/videowikips/videowiki

How soon you are hoping this can be fulfilled: this week

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 9 2018, 10:36 PM

This seems already hosted elsewhere https://www.videowiki.org/. Are you moving to Wikimedia Cloud, or is this a secondary host, or somthing?

This seems already hosted elsewhere https://www.videowiki.org/. Are you moving to Wikimedia Cloud, or is this a secondary host, or somthing?

Yes we are moving to Wikimedia Cloud. our current resources are limited to properly operate the project. please let me know if you need any further info which we can provide.

@Videowiki123: Hi, for which specific purpose do you request a VM?
Note that Cloud-VPS is not a hosting provider for separate MediaWiki websites with production content.

@Aklapper Hi, Videowiki is a tool that allows you to drag and drop images/video from Wikimeida Commons onto Wikiepdia text. VideoWiki does not host any images/videos on the servers.

The purpose of moving to WMF cloud is that since we are hosted on AWS, we face the issue of a global IP block on the servers. Moving to Cloud will help us mitigate this issue.

Ah, thanks! Looks like I completely misunderstood https://meta.wikimedia.org/wiki/Wiki_Video because the first sentence sounds like a separate web site. :-/

Andrew added a subscriber: Andrew.Dec 11 2018, 4:56 PM

Hello! I have a few questions:

  1. 'we face the issue of a global IP block on the servers' -- Can you tell me more about that? Are you discussing general AWS issues or a specific issue facing your project?
  1. Is there a reason you're using 'Videowiki123' as your username? Do you not have an existing wikitech username?

Hey Andrew.

(1) The need to move to WMF Cloud arose from a specific issue. During our testing stage, our server was blocked for being a de facto annonymizer. When we enquired about the block, we understood that people run anonymizers via AWS and thus to keep Wikimedia sites safe from vandalism, AWS IPs are blocked.

(2) No specific reason. You can check out @Rogueassasin123 who has an existing wikitech account and is associated with VidoeWiki.

Great to see videowiki ready to move over now that it exclusively uses commons graphics and Wikipedia text. This is an important step in adapting wp to a video crowd.

bd808 added a subscriber: bd808.Dec 14 2018, 4:29 PM

One of the issues for @Videowiki123 (Hassan?) to be aware of is that per the Cloud Services Terms of use videowiki hosted on a Cloud VPS instance will need some prominent disclaimers about any authorship data that the videowiki project collects and/or stores. It should also be clear from the user interface that this is not an active content project, but rather a proof of concept for a proposed content project (or feature set to be added to an existing project).

Beyond this caution, I think we should approve this request.

Hello @bd808 , Thanks for pointing that out.
We have put a disclaimer on the top of VideoWiki's homepage to make it prominent. If any changes are required in the wordings of the disclaimer, please let me know.

Excited to see VideoWiki exclusively use Commons content. :)

Is anything further needed before this move can occur?

Theoretically I think this should've been reviewed on the 18th December, but now I think it'll have to wait until the 8th.

Videowiki123 updated the task description. (Show Details)Dec 22 2018, 1:19 PM
Andrew closed this task as Resolved.Dec 22 2018, 6:05 PM
Andrew claimed this task.

Sorry for the delay! This was stalled for lack of hardware but we got a new server online a couple of days ago so I've created the project now. @Videowiki123, you're a project admin and can add other users as you see fit. Note that the 'eqiad' region is being deprecated so you'll want to be sure to select the eqiad1-r region in the project selector before you try to create anything.